Bug 1471543 - Cursor jumps and accelerates awkwardly [MATE spin]
Cursor jumps and accelerates awkwardly [MATE spin]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libinput (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 15:47 EDT by Douglas
Modified: 2018-05-29 08:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:56:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas 2017-07-16 15:47:01 EDT
Description of problem:
The cursor jumps a few centimeters ahead while I'm moving it. Its acceleration changes abruptly -- out of nowhere.

I tried manually setting a .conf file and also turning a few knobs in touchpad settings on MATE. Changes are effective, but nothing gets rid of this strange behavior.

Mouse is unaffected. Only touchpad is affected.

How reproducible:
Always.

Additional info:
Running Fedora 26 w/ MATE 1.18.0.

Also affected Arch Linux with MATE 1.18.x (could be upstream).
Comment 1 Peter Hutterer 2017-07-17 23:30:35 EDT
yeah, that's a known issue but haven't figured out a fix for that yet. https://bugs.freedesktop.org/show_bug.cgi?id=100436 is the one I could quickly find but we're seeing these jumps with the old ps2 driver too
Comment 2 Fedora End Of Life 2018-05-03 04:40:28 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:56:21 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.